$(document).ready(function() {
	var ___pos_offset = {top: 0, left: 0};
	var build_dialog = function(id) {
		var elem = $('<div class="kuwidget bubble ku'+(id+2)+'_text">');
		var close = $('<div class="close_btn">');

		elem.append(close);
		elem.append($('<textarea maxlength="80" rows="3" cols="10"></textarea>'));

		close.on('click', function(e) {
			$(elem).remove();
		});

		return elem;
	};

	$('.dzone').droppable({
		tolerance: 'pointer',
		drop: function(event, ui) {
			var node = build_dialog($(ui.draggable).data('id'));
			var node2 = $(ui.draggable).clone();
			$(node).css({
				position: 'absolute',
				top: ui.position.top - 0,
				left: ui.position.left + 740
			});
			// $(node).attr('id', 'sudas');
console.log(node);

			$(this).append(node);
			// node.on('click', function() {$(this).remove()});
			$(node).children('textarea').focus();
		}
	});

	$('.legend_button').each(function(){

		$(this).draggable({
			helper: function() {
				el = this;
				//console.log( $(el).attr('data-bg') );
				var elem = $('<div style="width:145px;height:77px;background-image: url(' + $(el).attr('data-bg') + ')">');

				elem.data('id', $(this).data('id'));
				return elem.get();
			},
			tolerance: 'pointer',
			revert: 'invalid',
			start: function(event, ui) {
				var offset = $(this).offset();
				___pos_offset.top = event.pageY - offset.top;
				___pos_offset.left = event.pageX - offset.left;

				$(ui.helper).animate({
					opacity: 1
				}, 'fast');

				$(this).addClass('inactive');
			},
			drag: function(event, ui) {
				ui.position.left = ui.position.left - 15 + ___pos_offset.left;
				ui.position.top = ui.position.top - 10 + ___pos_offset.top;
			},
			stop: function(event, ui) {
				$(ui.helper).animate({
					opacity: 0
				}, 100);

				$(this).removeClass('inactive');
			}
		});
	});




	$(document).on('click', '.dzone > div', function(){$(this).remove();});

// this == <select>
	//$('options:selected', this)



});

